# BeatsMark

BeatsMark 是一个音频节拍检测工具，可以检测音频文件中的固定节拍和鼓点节拍，并导出为 FCPXML 格式供 Final Cut Pro 使用。

## 功能特点

- 音频波形可视化显示
- 固定节拍和鼓点节拍检测
- 支持拖放音频文件
- 实时音频播放和进度显示
- 导出 FCPXML 格式的标记
- 支持直接在 Final Cut Pro 中打开导出文件

## 系统要求

- macOS 系统
- Python 3.9
- Final Cut Pro（用于打开导出的 FCPXML 文件）

## 安装依赖

```bash
python3.9 -m pip install -r requirements.txt
```

## 项目结构

```
BeatsMark/
├── assets/             # 资源文件
│   └── icons/         # 图标文件
├── exports/           # 导出的 FCPXML 文件
├── beat_detector_essentia.py    # 节拍检测核心模块
├── beat_detector_gui.py         # 图形界面模块
├── config.py                    # 配置模块
└── requirements.txt             # 项目依赖
```

## 开发说明

1. 项目使用 PyQt6 构建图形界面
2. 使用 essentia 库进行音频分析和节拍检测
3. 使用 pyqtgraph 进行波形绘制
4. 配置文件处理开发环境和打包环境的路径差异

## 打包说明

使用 PyInstaller 打包时，需要确保：

1. 所有依赖库都已正确安装
2. 资源文件都在正确的位置
3. 路径配置正确处理了开发环境和打包环境的差异

## 许可证

[待定]
