#!/bin/bash

# 启用 Qt 插件调试信息
export QT_DEBUG_PLUGINS=1

# 执行打包
/opt/homebrew/bin/python3.9 -m PyInstaller -y beatsmark.spec

if [ $? -eq 0 ]; then
    echo "打包成功，开始复制 SDL2 库..."
    
    # 创建 Frameworks 目录（如果不存在）
    mkdir -p "/Volumes/DayuMedia 4TB/Beatsmark/dist/Beatsmark.app/Contents/Frameworks"
    
    # 复制 SDL2 库到 Frameworks 目录（使用 -L 复制实际文件而不是符号链接）
    cp -L /opt/homebrew/lib/libSDL2*.dylib "/Volumes/DayuMedia 4TB/Beatsmark/dist/Beatsmark.app/Contents/Frameworks/"
    
    # 复制到 MacOS 目录
    mkdir -p "/Volumes/DayuMedia 4TB/Beatsmark/dist/Beatsmark.app/Contents/MacOS"
    cp -L /opt/homebrew/lib/libSDL2*.dylib "/Volumes/DayuMedia 4TB/Beatsmark/dist/Beatsmark.app/Contents/MacOS/"
    
    echo "SDL2 库复制完成。"
    
    # 执行签名
    echo "开始签名应用程序..."
    ./sign_app.sh
    
    if [ $? -eq 0 ]; then
        echo "签名完成。"
    else
        echo "签名失败！"
        exit 1
    fi
else
    echo "打包失败！"
    exit 1
fi
