# Fix for numpy deprecation of np.float and np.int
import numpy as np
import sys
import os

print("Python version:", sys.version)
print("Current working directory:", os.getcwd())

# Add deprecated numpy type aliases
if not hasattr(np, 'float'):
    np.float = np.float64
if not hasattr(np, 'int'):
    np.int = np.int64
if not hasattr(np, 'object'):
    np.object = object
if not hasattr(np, 'bool'):
    np.bool = bool
if not hasattr(np, 'str'):
    np.str = str

print("Numpy types added successfully")

try:
    import pkg_resources
    print("pkg_resources imported successfully")
    print("Available distributions:", [d.key for d in pkg_resources.working_set])
except Exception as e:
    print("Error importing pkg_resources:", str(e))

try:
    # Now it's safe to import madmom
    import madmom
    print("Madmom imported successfully")
except Exception as e:
    print("Error importing madmom:", str(e))
