#!/bin/bash

APP_PATH="dist/Beatsmark.app"
SIGN_IDENTITY="Developer ID Application: zhong luo (B3W25FX5H5)"

# 首先签名所有内部的二进制文件和动态库
echo "签名内部组件..."
find "$APP_PATH/Contents/MacOS" -type f -exec codesign --force --sign "$SIGN_IDENTITY" --options runtime {} \;
find "$APP_PATH/Contents/Frameworks" -type f -exec codesign --force --sign "$SIGN_IDENTITY" --options runtime {} \;

# 最后签名整个应用程序包
echo "签名应用程序包..."
codesign --force --options runtime --sign "$SIGN_IDENTITY" --entitlements beatsmark.entitlements "$APP_PATH"

# 验证签名
echo "验证签名..."
codesign -dvv "$APP_PATH"

# 验证内部组件签名
echo "验证内部组件签名..."
find "$APP_PATH/Contents/MacOS" -type f -exec codesign -dvv {} \;
find "$APP_PATH/Contents/Frameworks" -type f -exec codesign -dvv {} \;
